Mercoledì 3 giugno, 02:45
casa dummies Il buster 10 di Debian installa l'ultimo Firefox

Il buster 10 di Debian installa l'ultimo Firefox

La distribuzione Debian Linux viene fornito con l'ESR di Firefox (Extended Support Release), che in alcuni casi potrebbe non soddisfare le tue esigenze.

Di seguito vedremo come sostituire il predefinito ESR di Firefox della distribuzione Debian con l'ultima versione di Firefox.

Inizialmente, sarà necessario scaricare l'ultimo tarball del browser di Mozilla. Aprire un terminale e digitare (copia e incolla) il seguente comando:

Scarica Firefox in inglese

wget -O FirefoxSetup.tar.bz2 "https://download.mozilla.org/?product=firefox-latest&os=linux64&lang=en-US"

Scarica in greco

wget -O FirefoxSetup.tar.bz2 "https://download.mozilla.org/?product=firefox-latest&os=linux64&lang=el"

Se desideri candidarti in un'altra lingua, seleziona la lingua da questa pagina

È possibile scaricare l'applicazione direttamente e aprire un terminale nel punto in cui è stato salvato il download per procedere con i comandi indicati di seguito.

Ora che hai scaricato il file necessario, possiamo creare la cartella che deve installare e decomprimere l'applicazione tar.bz2:

Digita (copia e incolla) i seguenti comandi come root:

mkdir / opt / firefox
tar xjf FirefoxSetup.tar.bz2 -C / opt / firefox /

debian
Sotto sembra che non ho creato il dir opt / firefox perché esisteva già

Per sostituire l'applicazione ESR di Firefox con quella appena installata, creare una copia di backup del Firefox originale contenente la distribuzione Debian e creare un nuovo collegamento simbolico che rimandi all'ultima versione di Firefox:

mv / usr / lib / firefox-esr / firefox-esr / usr / lib / firefox-esr / firefox-esr_orig

e

ln -s / opt / firefox / firefox / firefox / usr / lib / firefox-esr / firefox-esr

Per aggiornare Firefox devi eseguire i seguenti comandi, o per prima cosa scaricare l'ultima versione e il secondo per sostituire i file in / opt / firefox

Scarica Firefox in inglese

wget -O FirefoxSetup.tar.bz2 "https://download.mozilla.org/?product=firefox-latest&os=linux64&lang=en-US"

Scarica in greco

wget -O FirefoxSetup.tar.bz2 "https://download.mozilla.org/?product=firefox-latest&os=linux64&lang=el"

e

tar xjf FirefoxSetup.tar.bz2 -C / opt / firefox /

Per ripristinare la versione ESR, eseguire i seguenti comandi:

scollega / usr / lib / firefox-esr / firefox-esr

e

mv / usr / lib / firefox-esr / firefox-esr_orig / usr / lib / firefox-esr / firefox-esr

____________________

RISPONDI

Inserisci il tuo commento!
Inserisci qui il tuo nome

SecNews
SecNewshttps://www.secnews.gr
In un mondo senza recinzioni e muri, che hanno bisogno di cancelli e finestre

NOTIZIE IN DIRETTA

Samsung Access: il nuovo servizio Samsung per i nuovi dispositivi Galaxy!

Samsung ha lanciato un nuovo servizio di abbonamento per gli aggiornamenti, a partire dalla serie Galaxy S20. Il nuovo servizio, chiamato Samsung ...

Microsoft: gli strumenti che saranno ora disponibili a tutti!

Microsoft ha ora gli strumenti "Virtual Assistant Accelerator" e "Bot Framework Composer" per l'intera sua base di utenti. Gli sviluppatori possono ...

Sony: Annulla l'evento PS5 a causa del caso Floyd!

L'evento che la Sony aveva pianificato per la PS5 il 4 giugno è stato posticipato a tempo indeterminato, a causa della deplorevole situazione che prevale ...

Cisco avverte: questi switch Nexus sono stati colpiti da un grave difetto di sicurezza

Cisco ha avvisato i clienti con gli switch Nexus che eseguono il software NX-OS di installare aggiornamenti per risolvere un grave difetto ...

Aggiornamento di Windows 10 di maggio 2020: ottieni Windows 10 a € 9.09

Come tutti sappiamo, Windows 10 maggio 2020 è stato rilasciato l'aggiornamento. È più sicuro, più affidabile e più efficiente che mai. È certo che con ...

L'hack anonimo include i dati delle perdite precedenti!

Mentre le proteste per la morte di George Floyd a Minneapolis si sono diffuse negli Stati Uniti, gli attacchi informatici hanno preso di mira la polizia ...

Gli errori Exim critici sono stati corretti, ma molti server sono ancora a rischio

L'aggiornamento dei server di posta Exim non è abbastanza veloce e i membri del gruppo hacker russo Sandworm stanno sfruttando attivamente tre critici ...

Nuova vulnerabilità di Cisco che ti riguarda!

È stata identificata una nuova vulnerabilità critica di Cisco che ti riguarda: per chi non lo sapesse, Cisco ha recentemente annunciato che alcuni dei server ...

I tweet antifa di estrema destra richiedono violenza!

I "tweet di Antifa" che hanno inondato Twitter e promosso la violenza, in realtà provenivano da un noto gruppo di estrema destra! L'informazione è arrivata ...

Apple presenta il nuovo strumento diagnostico USB-C

Apple presenta il nuovo strumento diagnostico USB-C. Scopri le nuove funzionalità: Apple finalmente porta il nuovo strumento diagnostico USB-C interno, ...